
# Created by https://www.gitignore.io/api/java,eclipse,java-web,code-java
# Edit at https://www.gitignore.io/?templates=java,eclipse,java-web,code-java

### Code-Java ###
# Language Support for Java(TM) by Red Hat extension for Visual Studio Code - https://marketplace.visualstudio.com/items?itemName=redhat.java

.project
.classpath
factoryConfiguration.json

### VS code ###
.vscode/

### IntelliJ ###

*.iml

### Eclipse ###
.metadata
bin/
tmp/
*.tmp
*.bak
*.swp
*~.nib
local.properties
.settings/
.loadpath
.recommenders
.fbExcludeFilterFile
.pmd
.pmdruleset.xml
*-cs-cleanup.xml
*-cs-formatter.xml

### Idea ###
.idea/
# External tool builders
.externalToolBuilders/

.checkstyle

# Locally stored "Eclipse launch configurations"
*.launch

# PyDev specific (Python IDE for Eclipse)
*.pydevproject

# CDT-specific (C/C++ Development Tooling)
.cproject

# CDT- autotools
.autotools

# Java annotation processor (APT)
.factorypath

# PDT-specific (PHP Development Tools)
.buildpath

# sbteclipse plugin
.target

# Tern plugin
.tern-project

# TeXlipse plugin
.texlipse

# STS (Spring Tool Suite)
.springBeans

# Code Recommenders
.recommenders/

# Annotation Processing
.apt_generated/

# Scala IDE specific (Scala & Java development for Eclipse)
.cache-main
.scala_dependencies
.worksheet

### Eclipse Patch ###
# Eclipse Core

# JDT-specific (Eclipse Java Development Tools)

# Annotation Processing
.apt_generated

.sts4-cache/

### Java ###
# Compiled class file
*.class
# Maven local repository cache files
.m2/

# Log file
*.log

# BlueJ files
*.ctxt

# Mobile Tools for Java (J2ME)
.mtj.tmp/

# Package Files #
*.jar
*.war
*.nar
*.ear
*.zip
*.tar.gz
*.rar

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*

## ignoring target file
target/
dist/

# maven-release-plugin
release.properties
pom.xml.next
pom.xml.releaseBackup
pom.xml.tag

# End of https://www.gitignore.io/api/java,eclipse,java-web,code-java
**/helm/*/charts/*.tgz
**/helm/*/requirements.lock

doc/public
doc/data/crds
doc/data/versions.yml

# Node exclusions
node_modules/
package-lock.json
stackgres-k8s/src/api-web/src/main/resources/META-INF/resources/stackgres
.env
cypress.env.json
videos/
*.mp4
.config
.npm

# Built project info
doc/themes/sg-doc/static/sg-swagger.yaml
stackgres-k8s/src/api-web/swagger-merged.yaml

# Dockerignore is generated by stackgres-k8s/ci/build scripts
.dockerignore
.m2
